(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16041,        451]
NotebookOptionsPosition[     13872,        380]
NotebookOutlinePosition[     14345,        398]
CellTagsIndexPosition[     14302,        395]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MathCode`\>\"", "]"}], ";"}]], "Input",
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"$MCRootCyg", "=", "$MCRoot"}], "\[IndentingNewLine]"}]], "Input"],

Cell[BoxData["\<\"/home/vaden/mc6i\"\>"], "Output",
 CellChangeTimes->{3.3937585649994497`*^9, 3.393758710831006*^9, 
  3.393758819831656*^9, 3.4596575487462378`*^9, 3.459657830216755*^9, 
  3.4596579112362957`*^9, 3.459657996228511*^9, 3.510036682572926*^9, 
  3.510037227184707*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"$MCRootCyg", "=", 
  RowBox[{"StringReplace", "[", 
   RowBox[{"$MCRoot", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<\\\\\>\"", "->", "\"\</\>\""}], ",", 
      RowBox[{"\"\<D:\>\"", "\[Rule]", "\"\</cygdrive/d\>\""}]}], "}"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData["\<\"/home/vaden/mc6i\"\>"], "Output",
 CellChangeTimes->{
  3.393758565033786*^9, 3.393758710878874*^9, 3.393758819874454*^9, 
   3.393761556740425*^9, 3.393761696391684*^9, 3.393763216517599*^9, 
   3.39376431358086*^9, {3.4596575341461906`*^9, 3.4596575582081738`*^9}, 
   3.459657771656015*^9, 3.459657830229042*^9, 3.459657911248828*^9, 
   3.459657996240158*^9, 3.510034665286169*^9, 3.510035746089903*^9, 
   3.510036350635277*^9, 3.510036682608964*^9, 3.510037227216706*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"kernel", "=", 
   RowBox[{"Which", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"$MachineName", "\[Equal]", "\"\<hades\>\""}], ",", 
     "\"\</home/vaden/m51bin/math\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"$MachineName", "\[Equal]", "\"\<linux-e25m\>\""}], ",", 
     "\"\</usr/local/bin/math\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"$MachineName", "\[Equal]", "\"\<athena\>\""}], ",", 
     "\"\</usr/local/mma8/bin/math\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"$MachineName", "==", "\"\<Mimas\>\""}], ",", 
     "\"\</Applications/Mathematica.app/Contents/MacOS/MathKernel\>\""}], 
    StyleBox["]", "Input"]}]}], 
  StyleBox["\[IndentingNewLine]", "Input"]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.393758279334979*^9, 3.393758377945045*^9}, 
   3.393758432229764*^9, {3.393758676249741*^9, 3.393758701080652*^9}, {
   3.459657569004705*^9, 3.459657650922968*^9}, {3.510032846290023*^9, 
   3.510032891995926*^9}}],

Cell[BoxData["\<\"/usr/local/mma8/bin/math\"\>"], "Output",
 CellChangeTimes->{3.459657776679131*^9, 3.4596578302540607`*^9, 
  3.459657911268525*^9, 3.459657996252214*^9, 3.51003466562329*^9, 
  3.510035746156266*^9, 3.510036350706949*^9, 3.51003668264468*^9, 
  3.510037227248311*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"theScr", "=", 
   RowBox[{"$MCRoot", "<>", "\"\</Demos/\>\"", "<>", "\"\<runall.sh\>\""}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CloseFile", "[", "scriptFileName", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DeleteFile", "[", "theScr", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"scriptFileName", "=", 
   RowBox[{"OpenWrite", "[", "theScr", "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.510037028982626*^9, 3.510037139586239*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TestNB", "[", "nbs_String", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"nb", ",", "nbsiStr", ",", "nbg", ",", "n2", ",", "n3"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"nb", "=", 
       RowBox[{"NotebookOpen", "[", 
        RowBox[{"$MCRoot", "<>", "\"\</Demos/\>\"", "<>", "nbs"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"nbsiStr", "=", 
       RowBox[{"StringReplace", "[", 
        RowBox[{"nbs", ",", 
         RowBox[{"\"\<.nb\>\"", "->", "\"\<xi.nb\>\""}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"nbg", "=", 
       RowBox[{"NotebookGet", "[", "nb", "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"n2", "=", 
       RowBox[{"nbg", "/.", " ", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Cell", "[", 
            RowBox[{"m_", ",", "\"\<Input\>\""}], "]"}], "\[Rule]", 
           RowBox[{"Cell", "[", 
            RowBox[{"m", ",", "\"\<Input\>\"", ",", 
             RowBox[{"InitializationCell", "\[Rule]", "True"}]}], "]"}]}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Cell", "[", 
            RowBox[{"m_", ",", "\"\<Input\>\"", ",", "u_"}], "]"}], "\[Rule]", 
           RowBox[{"Cell", "[", 
            RowBox[{"m", ",", "\"\<Input\>\"", ",", 
             RowBox[{"InitializationCell", "\[Rule]", "True"}], ",", "u"}], 
            "]"}]}]}], "\[IndentingNewLine]", "}"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"n2a", "=", 
       RowBox[{"n2", " ", "/.", " ", 
        RowBox[{
         RowBox[{"Rule", "[", 
          RowBox[{"AutoGeneratedPackage", ",", "None"}], "]"}], "\[Rule]", 
         "\[IndentingNewLine]", 
         RowBox[{"Rule", "[", 
          RowBox[{"AutoGeneratedPackage", ",", "Automatic"}], "]"}]}]}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"n3", "=", 
       RowBox[{"NotebookPut", "[", "n2a", "]"}]}], ";", "\[IndentingNewLine]",
       "\[IndentingNewLine]", 
      RowBox[{"NotebookSave", "[", 
       RowBox[{"n3", ",", 
        RowBox[{"$MCRoot", "<>", "\"\</Demos/\>\"", "<>", "nbsiStr"}]}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"NotebookClose", "[", "n3", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"NotebookClose", "[", "nb", "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"mStr", "=", 
       RowBox[{"$MCRootCyg", "<>", "\"\</Demos/\>\"", "<>", 
        RowBox[{"StringReplace", "[", 
         RowBox[{"nbs", ",", 
          RowBox[{"\"\<.nb\>\"", "->", "\"\<xi.m\>\""}]}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"oStr", "=", 
       RowBox[{"$MCRootCyg", "<>", "\"\</Demos/\>\"", "<>", 
        RowBox[{"StringReplace", "[", 
         RowBox[{"nbs", ",", 
          RowBox[{"\"\<.nb\>\"", "->", "\"\<xi.out\>\""}]}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"oShort", "=", 
       RowBox[{"$MCRootCyg", "<>", "\"\</Demos/\>\"", "<>", 
        RowBox[{"StringReplace", "[", 
         RowBox[{"nbs", ",", 
          RowBox[{"\"\<.nb\>\"", "->", "\"\<xi.shr\>\""}]}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Run", " ", "[", 
         RowBox[{"\"\<echo >> \>\"", "<>", "mStr"}], "]"}], ";"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"cmd", "=", 
       RowBox[{
       "\"\<echo start \>\"", "<>", "nbsiStr", "<>", "\"\<\\n\>\""}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"WriteString", " ", "[", 
       RowBox[{"scriptFileName", ",", "cmd"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cmd", "=", 
       RowBox[{
       "\"\<cd \>\"", "<>", "$MCRoot", "<>", "\"\</Demos/\>\"", "<>", 
        RowBox[{"DirectoryName", "[", "nbs", "]"}], " ", "<>", 
        "\"\<\\n\>\""}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"WriteString", " ", "[", 
       RowBox[{"scriptFileName", ",", "cmd"}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"cmd", "=", " ", 
       RowBox[{
       "kernel", "<>", "\"\<  < \>\"", "<>", "mStr", "<>", " ", "\"\< > \>\"",
         " ", "<>", " ", "oStr", " ", "<>", "\"\<\\n\>\""}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"WriteString", "[", 
       RowBox[{"scriptFileName", ",", "cmd"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cmd", " ", "=", " ", 
       RowBox[{
       "\"\<sed -e \\\"s/^In\\[..]:= //\\\"< \>\"", "\[IndentingNewLine]", "<>",
         "\[IndentingNewLine]", "oStr", "\[IndentingNewLine]", "<>", 
        "\[IndentingNewLine]", 
        "\"\<|sed -e \\\"s/^In\\[.]:= //\\\"|grep . >\>\"", 
        "\[IndentingNewLine]", "<>", " ", "\[IndentingNewLine]", "oShort", 
        "\[IndentingNewLine]", "<>", "\"\<\\n\>\""}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"WriteString", "[", 
       RowBox[{"scriptFileName", ",", "cmd"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cmd", "=", 
       RowBox[{"\"\<echo end \>\"", "<>", "nbsiStr", "<>", "\"\<\\n\>\""}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"WriteString", " ", "[", 
       RowBox[{"scriptFileName", ",", "cmd"}], "]"}], ";"}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.3937584489904118`*^9, 3.393758454299965*^9}, {
  3.3937626804906797`*^9, 3.393762681526251*^9}, {3.393762733206164*^9, 
  3.393762743279971*^9}, {3.393763091045908*^9, 3.39376316613811*^9}, {
  3.39376319765913*^9, 3.3937631980157537`*^9}, {3.510034600394164*^9, 
  3.510034601393568*^9}, {3.510035875966689*^9, 3.510035918738263*^9}, {
  3.510036416444944*^9, 3.510036422019628*^9}, {3.510036575573729*^9, 
  3.510036603236637*^9}, {3.510036832730925*^9, 3.510036838631389*^9}, {
  3.510036914120027*^9, 3.510036959502826*^9}, {3.51003717207452*^9, 
  3.510037192817403*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TestNBImmed", "[", "nbs_String", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"nb", "=", 
       RowBox[{"NotebookOpen", "[", 
        RowBox[{"$MCRoot", "<>", "\"\</Demos/\>\"", "<>", "nbs"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"SelectionMove", "[", 
       RowBox[{"nb", ",", "All", ",", "Notebook"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"SelectionEvaluate", "[", "nb", "]"}], ";"}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<CallBack/CallBack.nb\>\"", " ", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<EvaluateFunctions/EvaluateFunctions.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<GlobalVariable/GlobalVariable.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<SimplestExample/SimplestExample.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<EvaluateFunctions/EvaluateFunctions.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<SinSurface/SinSurface.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<ExternalFortran/ExtF-mingw.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<TwoPackages/TwoPackages.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<LargeExpression/LargeExpression.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<ExternalFunction/ExternalFunction.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<Overview/Overview.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<UsingSystemNB/UsingSystemNB.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<Pendulum/Pendulum.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<CompiledHessian/CompiledHessian.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<Intro/Intro.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<Gauss/Gauss.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<FindMinimum/FindMinumum1.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<Import/Import.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<Interpolation-1D/Interpolation-1D.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<NIntegrate/NIntegrate.nb\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<Troubleshoot/MathCodeSetupVerify.nb\>\"", 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TestNB", "[", "\"\<UsingMathCodeExport/UsingMathCodeExport.nb\>\"", 
  "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "scriptFileName"}]], "Input"],

Cell[BoxData[
 RowBox[{"OutputStream", "[", 
  RowBox[{"\<\"/home/vaden/mc6i/Demos/runall.sh\"\>", ",", "36"}], 
  "]"}]], "Output",
 CellChangeTimes->{3.3937586002971077`*^9, 3.393758722932019*^9, 
  3.393758853017252*^9, 3.459658094232313*^9, 3.510036790313863*^9, 
  3.510037302087473*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Names", "[", "\"\<Globa*\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"GlobalPreferences\"\>", ",", "\<\"GlobalSession\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.393758600319129*^9, 3.393758722958617*^9, 
  3.393758853055935*^9, 3.459658094280539*^9, 3.510036790909685*^9, 
  3.510037302120114*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetCurrentPackage", "[", "\"\<Global\>\"", "]"}]], "Input"],

Cell[BoxData["\<\"Global\"\>"], "Output",
 CellChangeTimes->{3.393758600423109*^9, 3.3937587229824142`*^9, 
  3.393758853076576*^9, 3.459658094369608*^9, 3.510036791977779*^9, 
  3.510037302529562*^9}]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1240, 989},
WindowMargins->{{Automatic, 123}, {Automatic, 12}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"7.0 for Linux x86 (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 119, 3, 38, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[689, 27, 100, 2, 64, "Input"],
Cell[792, 31, 284, 4, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1113, 40, 317, 9, 38, "Input",
 InitializationCell->True],
Cell[1433, 51, 495, 7, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1965, 63, 1008, 19, 164, "Input",
 InitializationCell->True],
Cell[2976, 84, 286, 4, 38, "Output"]
}, Open  ]],
Cell[3277, 91, 575, 15, 139, "Input",
 InitializationCell->True],
Cell[3855, 108, 6013, 133, 1039, "Input",
 InitializationCell->True],
Cell[9871, 243, 695, 18, 189, "Input",
 InitializationCell->True],
Cell[10569, 263, 91, 1, 38, "Input"],
Cell[10663, 266, 107, 2, 38, "Input"],
Cell[10773, 270, 101, 2, 38, "Input"],
Cell[10877, 274, 103, 2, 38, "Input"],
Cell[10983, 278, 107, 2, 38, "Input"],
Cell[11093, 282, 90, 1, 38, "Input"],
Cell[11186, 285, 98, 2, 38, "Input"],
Cell[11287, 289, 92, 1, 38, "Input"],
Cell[11382, 292, 103, 2, 38, "Input"],
Cell[11488, 296, 105, 2, 38, "Input"],
Cell[11596, 300, 86, 1, 38, "Input"],
Cell[11685, 303, 99, 2, 38, "Input"],
Cell[11787, 307, 86, 1, 38, "Input"],
Cell[11876, 310, 103, 2, 38, "Input"],
Cell[11982, 314, 80, 1, 38, "Input"],
Cell[12065, 317, 80, 1, 38, "Input"],
Cell[12148, 320, 93, 1, 38, "Input"],
Cell[12244, 323, 82, 1, 38, "Input"],
Cell[12329, 326, 105, 2, 38, "Input"],
Cell[12437, 330, 90, 1, 38, "Input"],
Cell[12530, 333, 104, 2, 38, "Input"],
Cell[12637, 337, 111, 2, 38, "Input"],
Cell[CellGroupData[{
Cell[12773, 343, 75, 1, 64, "Input"],
Cell[12851, 346, 292, 6, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13180, 357, 71, 1, 38, "Input"],
Cell[13254, 360, 278, 6, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13569, 371, 83, 1, 38, "Input"],
Cell[13655, 374, 201, 3, 57, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
